AOZ Studio Beta - Bug #857

Some text window effects aren't working.
10/26/2021 09:44 AM - Brian Flanagan

Status: Closed Start date: 10/26/2021
Priority: Normal Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 4:00 hours
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Inverse and Underline have been implemented, however, the following aren't working:

Shade On : Shade Off
Set Text 2 ' bold
Set Text 4 ' italic

For example:

Print "Normal"

Print

Print "Text FX Commands:"
Inverse On : Print "Inverse"
Inverse Off

Shade On : Print "Shaded"
Shade Off

Under On : Print "Under"

Under Off

Print

Print : Print "Set Text"
Underline = 1

Bold = 2

Italic =4

Set Text Underline : Print "Underline"
Set Text Bold : Print "Bold"
Set Text Italic : Print "Italic"

Print

Print "Bold, Italic, Underlined, Shaded, and Inverted"
Set Text %111

Inverse On

Shade On

Print "ALL"

History

#1 - 10/26/2021 10:13 AM - Brian Flanagan
- Assignee set to AOZ Developers

- Affected version set to 1.0.0 (B10) u16

#2 - 10/30/2021 09:11 AM - David Baldwin
- Status changed from New to Feedback

- Assignee changed from AOZ Developers to David Baldwin

Most things fixed, outline to do. Requires 'Brian’ testing :)
Also, line between papers fixed, but now artefacts (paper overlap) are more visible when lines of different lengths and papers follow one another.
#3 - 11/07/2021 09:40 PM - David Baldwin
- Status changed from Feedback to Closed
